function [wnames,maxlev]=wavlevselect(transform)
if strcmp(transform,'1D Continuous Wavelet Transform')
    wnames={'Haar','Daubechies','Symlet','Coiflet','Biorthogonal','Reversed biorthogonal','Meyer','Pseudo-discrete Meyer','Gaussian','Complex Gaussian','Mexican Hat','Morlet','Complex Morlet','Shannon','B-spline','Frequency B-spline'};
elseif (strcmp(transform,'1D Discrete Wavelet Transform') || strcmp(transform,'1D Stationary Wavelet Transform') || strcmp(transform,'1D Undecimated Wavelet Transform') || strcmp(transform,'2D Discrete Wavelet Transform') || strcmp(transform,'2D Stationary Wavelet Transform') || strcmp(transform,'2D Undecimated Wavelet Transform') || strcmp(transform,'3D Discrete Wavelet Transform'))
    wnames={'Haar','Daubechies','Symlet','Coiflet','Biorthogonal','Reversed biorthogonal','Pseudo-discrete Meyer','B-spline'};
elseif (strcmp(transform,'1D Discrete Fractional Wavelet Transform') || strcmp(transform,'1D Discrete Fractional Wavelet Transform (causal)') || strcmp(transform,'2D Discrete Fractional Wavelet Transform') || strcmp(transform,'2D Discrete Fractional Wavelet Transform (causal)'))
    wnames={'Fractional B-spline'};
elseif strcmp(transform,'2D Discrete Multiwavelet Transform')
    wnames={'Chui-Lian 2','Lebrun-Vetterli','Donovan-Geronimo-Hardin-Massopust'};
elseif (strcmp(transform,'1D Complex Wavelet Transform') || strcmp(transform,'2D Complex Wavelet Transform') || strcmp(transform,'3D Complex Wavelet Transform'))
    wnames={'Farras'};
elseif strcmp(transform,'2D Quincunx Wavelet Transform')
    wnames={'Quincunx'};
elseif strcmp(transform,'Select...')
    wnames={'Select...'};
end
maxlev={'1','2','3'};
end